# Generated by Django 2.2.4 on 2019-08-21 08:05

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('location', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('name', models.CharField(max_length=250, verbose_name='name')),
                ('start', models.DateTimeField(verbose_name='start')),
                ('end', models.DateTimeField(verbose_name='end')),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=None, help_text='{"key":"value"}', null=True, verbose_name='filters')),
                ('selectors', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=None, help_text='{"key":"value"}', null=True, verbose_name='selectors')),
                ('targets', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=None, help_text='{"key":"value"}', null=True, verbose_name='targets')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='location.Country', verbose_name='country')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Guide',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('name', models.CharField(max_length=250, verbose_name='name')),
                ('start', models.DateTimeField(verbose_name='start')),
                ('end', models.DateTimeField(verbose_name='end')),
                ('advertorials', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=None, help_text='{"key":"value"}', null=True, verbose_name='advertorials')),
                ('collection', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='collection.Collection', verbose_name='collection')),
                ('parent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='collection.Guide', verbose_name='parent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CollectionItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('item_type', models.IntegerField(verbose_name='item type identifier')),
                ('item_ids', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=None, help_text='{"key":"value"}', null=True, verbose_name='item_ids')),
                ('collection', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='collection.Collection', verbose_name='collection')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
